#include<bits/stdc++.h>
using namespace std;
vector<int> ans;
vector<int> solve(vector<int> a){
    int n = a.size();
    for(int i = 0; i < n; i++){
        if(i % 4 == 0 || i % 4 == 3){
            ans.push_back(i);
        }
    }
    for(int i = 0; i < n; i++){
        if(i % 4 == 1 || i % 4 == 2){
            ans.push_back(i);
        }
    }
    return ans;
}
